/*
 * @(#)SSOMessageResource.java
 *
 * Copyright (C) 2005 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.sso.message;

import info.dragonlady.sso.message.MessageResource;

/**
 * SSOメッセージリソースアクセスクラス
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.1 $ $Date: 2005/11/15 18:07:55 $
 */
public class SSOMessageResource {

	private static final String resource = "resources/sso_message";

	private static final MessageResource mr = new MessageResource(SSOMessageResource.resource);

	/**
	 * 内部リソースからメッセージを取得
	 * 
	 * @param key メッセージ取得キー
	 * @return String メッセージ
	 */
	public static final String getMessage(String key) {
		return SSOMessageResource.mr.getMessage(key);
	}

	/**
	 * 内部リソースからメッセージを取得
	 * 
	 * @param key メッセージ取得キー
	 * @param args メッセージフォーマット用のパラメータ
	 * @return String メッセージ
	 */
	public static final String getMessage(String key, Object[] args) {
		return SSOMessageResource.mr.getMessage(key, args);
	}

}
